#/!bin/sh
# removes main version
set -e

mime=/desktop/gnome/thumbnailers/application@x-go-sgf
gconftool-2 --recursive-unset $mime
dir=$(grep -o \".*\/ /usr/share/thumbnailers/xgo.thumbnailer | sed -r 's/^.{1}//')
if test -n "$dir"; then
  rm "$dir"both.pl || (echo Unable to delete "$dir"both.pl; exit 1)
  rm "$dir"doc.html || (echo Unable to delete "$dir"doc.html; exit 1)
  rm "$dir"LibertyCheck.pm || (echo Unable to delete "$dir"LibertyCheck.pm; exit 1)
  rm "$dir"SimpleSGF.pm || (echo Unable to delete "$dir"SimpleSGF.pm; exit 1)
  rm "$dir"sgfThumbnailer.pm || (echo Unable to delete "$dir"sgfThumbnailer.pm; exit 1)
  rm "$dir"testinstall.pl || (echo Unable to delete "$dir"testinstall.pl; exit 1)
  rm "$dir"ThumbIM.pm || (echo Unable to delete "$dir"ThumbIM.pm; exit 1)
  rm "$dir"ThumbGD.pm || (echo Unable to delete "$dir"ThumbGD.pm; exit 1)
  rm "$dir"xgo-thumb-remove.sh || (echo Unable to delete "$dir"xgo-thumb-remove.sh; exit 1)
  if [ !"$(ls -B "$dir")" ]; then # if the directory is empty
    rm "$dir"*.* # remove any backup files
    rmdir "$dir"
  fi
  rm /usr/share/thumbnailers/xgo.thumbnailer || (echo Unable to remove xgo.thumbnailer from /usr/share/thumbnailers; exit 1)
  exit 0
else
  echo Install directory not found
  exit 1
fi
